forward-port the 2.10.0 upgrade instructions
authorGalen Charlton <gmc@esilibrary.com>
Thu, 17 Mar 2016 22:50:40 +0000 (18:50 -0400)
committerGalen Charlton <gmc@esilibrary.com>
Thu, 17 Mar 2016 22:52:50 +0000 (18:52 -0400)
Signed-off-by: Galen Charlton <gmc@esilibrary.com>
docs/installation/server_upgrade.txt

index abf9063..0a30406 100644 (file)
@@ -8,7 +8,7 @@ Software Prerequisites
 
  * **PostgreSQL**: Version 9.3 is recommended. The minimum supported version
     is 9.1.
 
  * **PostgreSQL**: Version 9.3 is recommended. The minimum supported version
     is 9.1.
-  * **Linux**: Evergreen 2.9 has been tested on Debian Jessie (8.0),
+  * **Linux**: Evergreen 2.10.0 has been tested on Debian Jessie (8.0),
     Debian Wheezy (7.0), Debian Squeeze(6.0), Ubuntu Trusty Tahr (14.04),
     Ubuntu Precise Pangolin (12.04), and Fedora.
     If you are running an older version of these distributions, you may want
     Debian Wheezy (7.0), Debian Squeeze(6.0), Ubuntu Trusty Tahr (14.04),
     Ubuntu Precise Pangolin (12.04), and Fedora.
     If you are running an older version of these distributions, you may want
@@ -43,23 +43,23 @@ osrf_control --localhost --stop-all
 +
  .. Back up the /openils directory.
 . Upgrade OpenSRF. Download and install the latest version of OpenSRF from
 +
  .. Back up the /openils directory.
 . Upgrade OpenSRF. Download and install the latest version of OpenSRF from
-the http://evergreen-ils.org/opensrf-downloads/[OpenSRF download page].
-. As the *opensrf* user, download and extract Evergreen 2.9:
+the https://evergreen-ils.org/opensrf-downloads/[OpenSRF download page].
+. As the *opensrf* user, download and extract Evergreen 2.10.0:
 +
 [source, bash]
 -----------------------------------------------
 +
 [source, bash]
 -----------------------------------------------
-wget http://evergreen-ils.org/downloads/Evergreen-ILS-2.9.2.tar.gz
-tar xzf Evergreen-ILS-2.9.2.tar.gz
+wget https://evergreen-ils.org/downloads/Evergreen-ILS-2.10.0.tar.gz
+tar xzf Evergreen-ILS-2.10.0.tar.gz
 -----------------------------------------------
 +
 [NOTE]
 -----------------------------------------------
 +
 [NOTE]
-For the latest edition of Evergreen, check the http://evergreen-ils.org/egdownloads/[Evergreen download page] and adjust upgrading instructions accordingly.
+For the latest edition of Evergreen, check the https://evergreen-ils.org/egdownloads/[Evergreen download page] and adjust upgrading instructions accordingly.
 
 . As the *root* user, install the prerequisites:
 +
 [source, bash]
 ---------------------------------------------
 
 . As the *root* user, install the prerequisites:
 +
 [source, bash]
 ---------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.9.2
+cd /home/opensrf/Evergreen-ILS-2.10.0
 ---------------------------------------------
 +
 On the next command, replace `[distribution]` with one of these values for your
 ---------------------------------------------
 +
 On the next command, replace `[distribution]` with one of these values for your
@@ -85,7 +85,7 @@ make -f Open-ILS/src/extras/Makefile.install [distribution]
 +
 [source, bash]
 ------------------------------------------------------------
 +
 [source, bash]
 ------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.9.2
+cd /home/opensrf/Evergreen-ILS-2.10.0
 PATH=/openils/bin:$PATH ./configure --prefix=/openils --sysconfdir=/openils/conf
 make
 ------------------------------------------------------------
 PATH=/openils/bin:$PATH ./configure --prefix=/openils --sysconfdir=/openils/conf
 make
 ------------------------------------------------------------
@@ -96,8 +96,8 @@ These instructions assume that you have also installed OpenSRF under /openils/.
 +
 [source, bash]
 ------------------------------------------------------------
 +
 [source, bash]
 ------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.9.2
-make STAFF_CLIENT_STAMP_ID=rel_2_9_2 install
+cd /home/opensrf/Evergreen-ILS-2.10.0
+make STAFF_CLIENT_STAMP_ID=rel_2_10_0 install
 ------------------------------------------------------------
 +
 . As the *root* user, change all files to be owned by the opensrf user and group:
 ------------------------------------------------------------
 +
 . As the *root* user, change all files to be owned by the opensrf user and group:
@@ -113,7 +113,7 @@ chown -R opensrf:opensrf /openils
 -----------------------------------------------------------
 cd /openils/var/web/xul/
 rm server
 -----------------------------------------------------------
 cd /openils/var/web/xul/
 rm server
-ln -sf rel_2_9_2/server server
+ln -sf rel_2_10_0/server server
 ----------------------------------------------------------
 +
 . As the *opensrf* user, update opensrf_core.xml and opensrf.xml by copying the
 ----------------------------------------------------------
 +
 . As the *opensrf* user, update opensrf_core.xml and opensrf.xml by copying the
@@ -133,7 +133,7 @@ Copying these configuration files will remove any customizations you have made t
 +
 [source, bash]
 -------------------------------------------------------------------------
 +
 [source, bash]
 -------------------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.9.2
+cd /home/opensrf/Evergreen-ILS-2.10.0
 perl Open-ILS/src/support-scripts/eg_db_config --update-config --service all \
 --create-offline --database evergreen --host localhost --user evergreen --password evergreen
 -------------------------------------------------------------------------
 perl Open-ILS/src/support-scripts/eg_db_config --update-config --service all \
 --create-offline --database evergreen --host localhost --user evergreen --password evergreen
 -------------------------------------------------------------------------
@@ -157,21 +157,21 @@ The diff command can be used to show the differences between the distribution ve
 +
 [source, bash]
 ----------------------------------------------------------
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.9.2/Open-ILS/examples/apache/eg_startup /etc/apache2/eg_startup
+cp /home/opensrf/Evergreen-ILS-2.10.0/Open-ILS/examples/apache/eg_startup /etc/apache2/eg_startup
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/eg_vhost.conf by copying the example from Open-ILS/examples/apache/eg_vhost.conf.
 +
 [source, bash]
 ----------------------------------------------------------
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/eg_vhost.conf by copying the example from Open-ILS/examples/apache/eg_vhost.conf.
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.9.2/Open-ILS/examples/apache/eg_vhost.conf /etc/apache2/eg_vhost.conf
+cp /home/opensrf/Evergreen-ILS-2.10.0/Open-ILS/examples/apache/eg_vhost.conf /etc/apache2/eg_vhost.conf
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/sites-available/eg.conf by copying the example from Open-ILS/examples/apache/eg.conf.
 +
 [source, bash]
 ----------------------------------------------------------
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/sites-available/eg.conf by copying the example from Open-ILS/examples/apache/eg.conf.
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.9.2/Open-ILS/examples/apache/eg.conf /etc/apache2/sites-available/eg.conf
+cp /home/opensrf/Evergreen-ILS-2.10.0/Open-ILS/examples/apache/eg.conf /etc/apache2/sites-available/eg.conf
 ----------------------------------------------------------
 
 Upgrade the Evergreen database schema
 ----------------------------------------------------------
 
 Upgrade the Evergreen database schema
@@ -194,7 +194,7 @@ anything goes wrong during the upgrade.
 =============
 Evergreen provides incremental upgrade scripts that allow you to upgrade
 from one minor version to the next until you have the current version of
 =============
 Evergreen provides incremental upgrade scripts that allow you to upgrade
 from one minor version to the next until you have the current version of
-the schema. For example, if you want to upgrade from 2.5.1 to 2.9.2, you
+the schema. For example, if you want to upgrade from 2.5.1 to 2.10.0, you
 would run the following upgrade scripts:
 
 - 2.5.1-2.5.2-upgrade-db.sql
 would run the following upgrade scripts:
 
 - 2.5.1-2.5.2-upgrade-db.sql
@@ -214,13 +214,15 @@ would run the following upgrade scripts:
 - 2.8.4-2.9.0-upgrade-db.sql (this is a major version upgrade)
 - 2.9.0-2.9.1-upgrade-db.sql
 - 2.9.1-2.9.2-upgrade-db.sql
 - 2.8.4-2.9.0-upgrade-db.sql (this is a major version upgrade)
 - 2.9.0-2.9.1-upgrade-db.sql
 - 2.9.1-2.9.2-upgrade-db.sql
+- 2.9.2-2.9.3-upgrade-db.sql
+- 2.9.3-2.10.0-upgrade-db.sql
 
 Note that you do *not* want to run additional 2.5 scripts to upgrade to the
 newest version of 2.5, since currently there is no automated way to upgrade
 from 2.5.4+ to 2.6. Only upgrade as far as necessary to reach the major
 version upgrade script (in this example, as far as 2.5.3).
 
 
 Note that you do *not* want to run additional 2.5 scripts to upgrade to the
 newest version of 2.5, since currently there is no automated way to upgrade
 from 2.5.4+ to 2.6. Only upgrade as far as necessary to reach the major
 version upgrade script (in this example, as far as 2.5.3).
 
-To upgrade across multiple major versions (e.g. from 2.3.0 to 2.9.2), use
+To upgrade across multiple major versions (e.g. from 2.3.0 to 2.10.0), use
 the same logic to utilize the provided major version upgrade scripts. For
 example:
 
 the same logic to utilize the provided major version upgrade scripts. For
 example:
 
@@ -236,13 +238,14 @@ example:
 - 2.7.4-2.8.0-upgrade-db.sql
 - (run all incremental scripts from 2.8.0 to 2.8.4)
 - 2.8.4-2.9.0-upgrade-db.sql
 - 2.7.4-2.8.0-upgrade-db.sql
 - (run all incremental scripts from 2.8.0 to 2.8.4)
 - 2.8.4-2.9.0-upgrade-db.sql
-- (run all incremental scripts from 2.9.0 to 2.9.2)
+- (run all incremental scripts from 2.9.0 to 2.9.3)
+- 2.9.3-2.10.0-upgrade-db.sql
 =============
 
 [CAUTION]
 Pay attention to error output as you run the upgrade scripts. If you encounter errors
 that you cannot resolve yourself through additional troubleshooting, please
 =============
 
 [CAUTION]
 Pay attention to error output as you run the upgrade scripts. If you encounter errors
 that you cannot resolve yourself through additional troubleshooting, please
-report the errors to the http://evergreen-ils.org/communicate/mailing-lists/[Evergreen
+report the errors to the https://evergreen-ils.org/communicate/mailing-lists/[Evergreen
 Technical Discussion List].
 
 Run the following steps (including other upgrade scripts, as noted above)
 Technical Discussion List].
 
 Run the following steps (including other upgrade scripts, as noted above)
@@ -250,8 +253,8 @@ as a user with the ability to connect to the database server.
 
 [source, bash]
 ----------------------------------------------------------
 
 [source, bash]
 ----------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.9.2/Open-ILS/src/sql/Pg
-psql -U evergreen -h localhost -f version-upgrade/2.8.4-2.9.0-upgrade-db.sql evergreen
+cd /home/opensrf/Evergreen-ILS-2.10.0/Open-ILS/src/sql/Pg
+psql -U evergreen -h localhost -f version-upgrade/2.9.3-2.10.0-upgrade-db.sql evergreen
 ----------------------------------------------------------
 
 [TIP]
 ----------------------------------------------------------
 
 [TIP]
@@ -332,6 +335,6 @@ from the Evergreen community.
 Review Release Notes
 ~~~~~~~~~~~~~~~~~~~~
 
 Review Release Notes
 ~~~~~~~~~~~~~~~~~~~~
 
-Review the <<_evergreen_2_9_release_notes,2.9 release notes>> for other tasks
+Review the <<_evergreen_2_10_release_notes,2.10 release notes>> for other tasks
 that need to be done after upgrading.  If you have upgraded over several 
 major versions, you will need to review the release notes for each version also.
 that need to be done after upgrading.  If you have upgraded over several 
 major versions, you will need to review the release notes for each version also.